/**
 ** Physical properties of MrCoffee (Sun JavaStation JJ)
 ** Copyright 1999 Pete Zaitcev
 ** This code is licensed under GNU General Public License.
 **/

/*
 * Consolidated address space
 */
#define PHYS_JJ_IOMMU	0x10000000	/* First page of sun4m IOMMU */
#define PHYS_JJ_TCX_FB	0x50800000	/* Start address, frame buffer body */
#define PHYS_JJ_TCX_0E	0x5E000000	/* Top address, one byte used. */
#define PHYS_JJ_EEPROM	0x71200000	/* [2000] MK48T08 */
#define PHYS_JJ_IDPROM_OFF	0x1FD8
#define PHYS_JJ_EEPROM_SIZE	0x2000
#define PHYS_JJ_AUXIO	0x71900000
#define PHYS_JJ_CLOCK	0x71D00000
#define PHYS_JJ_CLOCK1	0x71D10000
#define PHYS_JJ_INTR0	0x71E00000	/* CPU0 interrupt control registers */
#define PHYS_JJ_INTR_G	0x71E10000	/* Master interrupt control registers */
#define PHYS_JJ_LEDMA	0x78400010	/* ledma, off by 10 from unused SCSI */
#define PHYS_JJ_LE	0x78C00000	/* LANCE, typical sun4m */

#define BANKS_JJ       2		/* MrCoffee (<= MAX_BANKS) */
