/*
 * $Log: version.h,v $
 * Revision 1.24  2002/09/13 21:54:15  zaitcev
 * ID18 -- Supports XXXXXXXX.CMDL file on espresso-ser and krups-ser.
 *
 * Revision 1.23  2002/09/13 17:28:49  zaitcev
 * - mrcoffee has screen/keyboard as default again.
 * - clear %o1 at program start (debugging vector).
 * - espresso-ser is born: flash and network together, like at Krups.
 * - more compact memory printout from espr-flash, now everywhere.
 *
 * Revision 1.22  2002/07/23 05:48:10  zaitcev
 * ID17 -- Support for cross-compilation at a Linux/i386 host.
 *
 * Revision 1.21  2002/06/07 18:25:17  zaitcev
 * ID16 - Added audio on Krups (Jasper van der Neut)
 *
 * Revision 1.20  2001/12/24 04:57:50  zaitcev
 * ID15 --
 * - Add code for 70Hz refresh on MrCoffee (Kevin Boone)
 *   I left it commented out as it is not default.
 * - Add options "root=nfs ip=bootp" for the sake of 2.4.17
 *                                         (Ian Chilton)
 * - UDP checksumming                      (me & W. Roberts)
 *
 * Revision 1.19  2001/05/02 20:18:03  zaitcev
 * ID14 - make PROLL compile on Linux 2.4 based systems.
 * (this release was slated to unclude NetBSD support, but
 * it died due to NIH syndrome.)
 *
 * Revision 1.18  2000/06/18 19:25:25  zaitcev
 * Less verbose.
 *
 * Revision 1.17  2000/06/03 19:01:36  zaitcev
 * ID13
 * Commiting Roxy support, which is completely useless and will suffer
 * from bitrot eventually, but is a good example of extensive modifications.
 * Adding SILO argument passing to Espresso. The fixed location
 * loader is now dead!
 *
 * Revision 1.16  2000/04/23 05:18:51  zaitcev
 * ID12 -- Enable hme master on Krups for the sake of 2.3.99.
 * DaveM insisted on that. Otherwise unchanged respin.
 *
 * Revision 1.15  2000/02/11 05:21:28  zaitcev
 * ID11 -- Add support for checksumming of a.out image, controlled by
 * nonstandard a.out. Add queuing of upstream Ethernet packets, this
 * helps to load kernels on busy supernets with broadcast pressure.
 *
 * Revision 1.14  2000/01/15 06:50:37  zaitcev
 * ID10 -- krups now supports argument passing from SILO.
 * Joint edition of old krups with network bootstrapping and new, with SILO.
 *
 * Revision 1.13  1999/12/15 17:45:18  zaitcev
 * Common EEPROM code in src/.
 * Fixed a bug in packet.c that caused ARP cache corruption.
 * Switched from RARP to BOOTP.
 * Depend openprom.c on vconsole.h.
 *
 * Revision 1.12  1999/11/08 05:23:36  zaitcev
 * ID08 -- New experimental platforms espr-serial and espr-flash.
 * espr-serial is espresso with serial console.
 * espr-flash is espresso with serial console, booting from flash.
 *
 * Revision 1.11  1999/09/19 19:59:46  zaitcev
 * ID07 --
 * Add obio/auxio on MrCoffee for the sake of 2.2 kernels.
 * Remove printf from the path of a console write.
 * Reverse colors on Espresso.
 *
 * Revision 1.10  1999/07/20 03:07:57  zaitcev
 * ID06m - Cleanup after the battle with IDE on Espresso.
 *
 * Revision 1.9  1999/06/28 18:51:27  zaitcev
 * ID06 - added Krups support.
 *
 * Revision 1.8  1999/05/27 15:53:54  zaitcev
 * ID05 - Oneliner in espresso/openprom.c changes "interrupts" from PIL
 * number to input pin in PCIC. Cutting new release since it breaks
 * compatibility.
 *
 * Revision 1.7  1999/05/23 18:49:13  zaitcev
 * ID04 - Support for serial EEPROM in Espresso.
 *
 * Revision 1.6  1999/05/21 03:25:06  zaitcev
 * ID03b - Colormap on Espresso.
 *
 * Revision 1.5  1999/05/14 03:37:34  zaitcev
 * ID03a - minor fixups tracking automatic PCIC with hardcoded interrupt maps.
 *
 * Revision 1.4  1999/04/29 02:56:06  zaitcev
 * Espresso works, we hope that Krupps works as well.
 * Console is all screwed in the stock 2.2.5 kernel.
 * Weird colors because we do hot adjust colormap in IGA.
 *
 * Revision 1.3  1999/03/31 05:16:40  zaitcev
 * ID02 - System boots multiuser. End of project (or this stage at least).
 *
 * Revision 1.2  1999/03/28 03:08:57  zaitcev
 * Kernel starts to work, however tcx is screwed and le produces Oops.
 *
 * Revision 1.1  1999/01/18 06:07:56  zaitcev
 * Initial revision
 *
 */
#define PROLL_VERSION_STRING "ID18"
